gtk.CheckButton
Prev | The gtk Class Reference | Next

## gtk.CheckButton

gtk.CheckButton — a toggle button widget styled as a checkbox and label

## Synopsis

    class gtk.CheckButton(gtk.ToggleButton):
        gtk.CheckButton(label=None, use_underline=True)

## Ancestry

    +-- gobject.GObject
       +-- gtk.Object
          +-- gtk.Widget
             +-- gtk.Container
                +-- gtk.Bin
                   +-- gtk.Button
                      +-- gtk.ToggleButton
                         +-- gtk.CheckButton

## Implemented Interfaces

`gtk.CheckButton` implements `gtk.Buildable`

## gtk.CheckButton Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Button Properties

gtk.ToggleButton Properties

## gtk.CheckButton Style Properties

gtk.Widget Style Properties

gtk.Button Style Properties

"indicator-size" | Read/Write | The size of the check or radio indicator
"indicator-spacing" | Read/Write | The spacing around the check or radio indicator

## gtk.CheckButton Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Button Signal Prototypes

gtk.ToggleButton Signal Prototypes

## Description

A `gtk.CheckButton` places a discrete `gtk.ToggleButton` next to a widget, (usually a `gtk.Label`). See the section on `gtk.ToggleButton` widgets for more information about toggle and check buttons. The signal ('toggled') is also inherited from `gtk.ToggleButton`.

## Constructor

        gtk.CheckButton(label=None, use_underline=True)

`label` : | a string to be used as the label text or None
`use_underline` : | if `True`, an underscore in the label text indicates the next character should be underlined and used for the mnemonic accelerator key if it is the first character so marked. Available in PyGTK 2.4 and above.
Returns : | a new checkbutton object

Creates a new checkbutton with a text label specified by `label`. If `label` is `None` or not specified then no label is created. If `label` contains underscore characters then the character following the underscore will be underlined and the character following the first underscore will be used as the mnemonic keyboard accelerator.

In PyGTK 2.4 and above the `use_underline` parameter is available and defaults to `True`. If `use_underline` is set to `False` the label text will not be parsed for mnemonic characters.

Prev | Up | Next
gtk.CellView | Home | gtk.CheckMenuItem